<?php
/**
 * Fired during plugin activation.
 *
 * @package    Altomatic
 * @subpackage Altomatic/includes
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

/**
 * Fired during plugin activation.
 */
class Altomatic_Activator {

    /**
     * Initialize plugin settings.
     *
     * @return void
     */
    public static function activate(): void {
        // Default options
        $default_options = array(
            'api_key' => '',
            'auto_generate_alt' => true,
            'format_conversion' => array('keep', 'webp'),
            'image_sizes' => array('full', 'thumbnail', 'medium', 'medium_large', 'large', '1536x1536', '2048x2048')
        );

        // Add options if they don't exist
        foreach ($default_options as $option => $value) {
            if (false === get_option('altomatic_' . $option)) {
                add_option('altomatic_' . $option, $value);
            }
        }

        // Clear cache
        wp_cache_flush();
    }
}
