<?php
/**
 * Fired during plugin deactivation.
 *
 * @package    Altomatic
 * @subpackage Altomatic/includes
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

// WordPress functions - only declare during development
if (!defined('WORDPRESS_PLUGIN_RUNTIME')) {
    if (!function_exists('wp_clear_scheduled_hook')) {
        function wp_clear_scheduled_hook() { return true; }
    }
}

/**
 * Fired during plugin deactivation.
 */
class Altomatic_Deactivator {

    /**
     * Clean up plugin data and scheduled tasks.
     *
     * @return void
     */
    public static function deactivate() {
        // Clear any scheduled hooks
        wp_clear_scheduled_hook('altomatic_cleanup_failed');
        wp_clear_scheduled_hook('altomatic_cron_optimization');
        wp_clear_scheduled_hook('altomatic_process_image_size');
        wp_clear_scheduled_hook('altomatic_generate_alt_text');
    }
} 